from axipy import Plugin

from createFromSelection.ui.createPolygon import CreatePolygon
from createFromSelection.ui.createPolyline import CreatePolyline


class CreateGeometryFromSelection(Plugin):
    def load(self):
        self.__name_tab='Карта'
        self.__name_group='Работа с объектами'
        self.__cls_tools=[]
        self.__cls_tools.append(CreatePolyline(self))
        self.__cls_tools.append(CreatePolygon(self))
    def unload(self) -> None:
        for cls_tool in self.__cls_tools:
            cls_tool.unload()
    @property
    def NameTab(self):
        return self.__name_tab
    @property
    def NameGroup(self):
        self.__name_group
